## org.apache.solr.common.params
Interface CommonParams

    public interface CommonParams

Parameters used across many handlers

Nested Class Summary
`static class` `CommonParams.EchoParamStyle` valid values for: `echoParams`

Field Summary
`static String` `DEBUG_QUERY` whether to include debug data
`static String` `DF` default query field
`static String` `EXCLUDE`
`static String` `EXPLAIN_OTHER` another query to explain against
`static String` `EXPLAIN_STRUCT` boolean indicating whether score explanations should structured (true), or plain text (false)
`static String` `FALSE`
`static String` `FIELD`
`static String` `FL` query and init param for field list
`static String` `FQ` Lucene query string(s) for filtering the results without affecting scoring
`static String` `HEADER_ECHO_HANDLER` 'true' if the header should include the handler name
`static String` `HEADER_ECHO_PARAMS` include the parameters in the header
`static String` `OMIT_HEADER` include header in the response
`static String` `OUTPUT_KEY`
`static String` `Q` query string
`static String` `QT` the query type - which query handler should handle the request
`static String` `ROWS` number of documents to return starting at "start"
`static String` `SORT` sort order
`static String` `START` zero based offset of matching documents to retrieve
`static String` `STREAM_BODY` If the content stream should come directly from a field
`static String` `STREAM_CONTENTTYPE` Explicitly set the content type for the input stream If multiple streams are specified, the explicit contentType will be used for all of them.
`static String` `STREAM_FILE` If the content stream should come from a File (using FileReader)
`static String` `STREAM_URL` If the content stream should come from a URL (using URLConnection)
`static String` `TAG`
`static String` `TERMS`
`static String` `TIME_ALLOWED` Timeout value in milliseconds.
`static String` `TRUE`
`static String` `VALUE`
`static String` `VERSION` version parameter to check request-response compatibility
`static String` `WT` the response writer type - the format of the response
`static String` `XSL` stylesheet to apply to XML results

Field Detail

### QT

    static final String QT

  the query type - which query handler should handle the request

  See Also:
    Constant Field Values

### WT

    static final String WT

  the response writer type - the format of the response

  See Also:
    Constant Field Values

### Q

    static final String Q

  query string

  See Also:
    Constant Field Values

### SORT

    static final String SORT

  sort order

  See Also:
    Constant Field Values

### FQ

    static final String FQ

  Lucene query string(s) for filtering the results without affecting scoring

  See Also:
    Constant Field Values

### START

    static final String START

  zero based offset of matching documents to retrieve

  See Also:
    Constant Field Values

### ROWS

    static final String ROWS

  number of documents to return starting at "start"

  See Also:
    Constant Field Values

### XSL

    static final String XSL

  stylesheet to apply to XML results

  See Also:
    Constant Field Values

### VERSION

    static final String VERSION

  version parameter to check request-response compatibility

  See Also:
    Constant Field Values

### FL

    static final String FL

  query and init param for field list

  See Also:
    Constant Field Values

### DF

    static final String DF

  default query field

  See Also:
    Constant Field Values

### DEBUG_QUERY

    static final String DEBUG_QUERY

  whether to include debug data

  See Also:
    Constant Field Values

### EXPLAIN_STRUCT

    static final String EXPLAIN_STRUCT

  boolean indicating whether score explanations should structured (true), or plain text (false)

  See Also:
    Constant Field Values

### EXPLAIN_OTHER

    static final String EXPLAIN_OTHER

  another query to explain against

  See Also:
    Constant Field Values

### STREAM_URL

    static final String STREAM_URL

  If the content stream should come from a URL (using URLConnection)

  See Also:
    Constant Field Values

### STREAM_FILE

    static final String STREAM_FILE

  If the content stream should come from a File (using FileReader)

  See Also:
    Constant Field Values

### STREAM_BODY

    static final String STREAM_BODY

  If the content stream should come directly from a field

  See Also:
    Constant Field Values

### STREAM_CONTENTTYPE

    static final String STREAM_CONTENTTYPE

  Explicitly set the content type for the input stream If multiple streams are specified, the explicit contentType will be used for all of them.

  See Also:
    Constant Field Values

### TIME_ALLOWED

    static final String TIME_ALLOWED

  Timeout value in milliseconds. If not set, or the value is <= 0, there is no timeout.

  See Also:
    Constant Field Values

### HEADER_ECHO_HANDLER

    static final String HEADER_ECHO_HANDLER

  'true' if the header should include the handler name

  See Also:
    Constant Field Values

### HEADER_ECHO_PARAMS

    static final String HEADER_ECHO_PARAMS

  include the parameters in the header

  See Also:
    Constant Field Values

### OMIT_HEADER

    static final String OMIT_HEADER

  include header in the response

  See Also:
    Constant Field Values

### EXCLUDE

    static final String EXCLUDE

See Also:
  Constant Field Values

### TAG

    static final String TAG

See Also:
  Constant Field Values

### TERMS

    static final String TERMS

See Also:
  Constant Field Values

### OUTPUT_KEY

    static final String OUTPUT_KEY

See Also:
  Constant Field Values

### FIELD

    static final String FIELD

See Also:
  Constant Field Values

### VALUE

    static final String VALUE

See Also:
  Constant Field Values

### TRUE

    static final String TRUE

### FALSE

    static final String FALSE

Copyright © 2011 Apache Software Foundation. All Rights Reserved.